namespace Decal.Filters;

public class Vital : IIdNameTableEntry
{
	private int mID;

	private string mName;

	private int mIconId;

	public int Id => mID;

	public string Name
	{
		get
		{
			return mName;
		}
		internal set
		{
			mName = value;
		}
	}

	public int IconId
	{
		get
		{
			return mIconId;
		}
		internal set
		{
			mIconId = value;
		}
	}

	internal Vital(int ID)
	{
		mID = ID;
	}

	public override string ToString()
	{
		return mName;
	}
}
